require 'rubygems'
require 'bundler/setup'

require 'locomotive_plugins'

require_relative 'plugin/get_bookings_tag'
require_relative 'plugin/put_bookings_tag'
require_relative 'plugin/put_resources_tag'
require_relative 'plugin/get_resources_tag'

module Locomotive
    module Booking
        class Booking
            include Locomotive::Plugin

            def self.liquid_tags
                {
                    :getBookings    => GetBookingsTag,
                    :putBookings    => PutBookingsTag,
                    :putResources   => PutResourcesTag,
                    :getResources   => GetResourcesTag
                }
            end

            protected

        end
    end
end
