require 'locomotive_plugins'
require 'json'

require_relative 'booking_document'
require_relative 'helper'

module Locomotive
    module Booking
        class GetResourcesTag < ::Liquid::Tag
            def render(context)
                resources = BookingDocument::Resource.all
                if resources
                    resources = resources.map { |singleResource| singleResource.as_document }
                    resources.to_json
                else
                    [].to_json
                end
            end

            def render_disabled(context)
                nil.to_json
            end
        end
    end
end
